Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event
Class ReplicateEvent

    java.lang.Object
      org.hibernate.event.AbstractEvent
          org.hibernate.event.ReplicateEvent

All Implemented Interfaces:
  Serializable

    public class ReplicateEvent

extends AbstractEvent

Defines an event class for the replication of an entity.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Constructor Summary
`ReplicateEvent(Object object, ReplicationMode replicationMode, EventSource source)`
`ReplicateEvent(String entityName, Object object, ReplicationMode replicationMode, EventSource source)`

Method Summary
`String` | `getEntityName()`
`Object` | `getObject()`
`ReplicationMode` | `getReplicationMode()`
`void` | `setEntityName(String entityName)`
`void` | `setObject(Object object)`
`void` | `setReplicationMode(ReplicationMode replicationMode)`

Methods inherited from class org.hibernate.event.AbstractEvent
`getSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReplicateEvent

    public ReplicateEvent(Object object,
                          ReplicationMode replicationMode,
                          EventSource source)

### ReplicateEvent

    public ReplicateEvent(String entityName,
                          Object object,
                          ReplicationMode replicationMode,
                          EventSource source)

Method Detail

### getObject

    public Object getObject()

### setObject

    public void setObject(Object object)

### getReplicationMode

    public ReplicationMode getReplicationMode()

### setReplicationMode

    public void setReplicationMode(ReplicationMode replicationMode)

### getEntityName

    public String getEntityName()

### setEntityName

    public void setEntityName(String entityName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD